#include <stdio.h>
#include "injection.h"

static char outputString[1024];

SInject::SInject()
{
    l_integer = 0; l_float = 0.0; l_char = '\0';
};

SInject::SInject( SInject * pSInject )
{
    l_integer = pSInject->l_integer;
    l_float = pSInject->l_float;
    l_char = pSInject->l_char;
};

SInject::SInject( int iInt, float fFloat, char cChar )
{
    l_integer = iInt; l_float = fFloat; l_char = cChar;
};

void SInject::SetInteger( int iInt )
{
    l_integer = iInt;
};

void SInject::SetFloat( float fFloat )
{
    l_float = fFloat;
};

void SInject::SetChar( char cChar )
{
    l_char = cChar;
};

int SInject::GetInteger()
{
    return( l_integer );
};

float SInject::GetFloar()
{
    return( l_float );
};

char SInject::GetChar()
{
    return( l_char );
};

char * SInject::printString()
{
    outputString[0] = '\0';
    
    sprintf( outputString,
             "SInject { l_integer int %d, l_float float %f, l_char char %c }\n",
             l_integer, l_float, l_char );

    return( outputString );
};
